Loading...
Searching...
No Matches
pappso::specpeptidoms::AminoAcidModel Struct Reference

`#include <peptidemodel.h>`

## Public Member Functions

QString | toProForma () const
QString | toInterpretation () const

## Public Attributes

pappso::Aa | m_aminoAcid = pappso::Aa('A')
double | m_massDifference = 0
bool | m_skipped = false

## Detailed Description

Definition at line 43 of file peptidemodel.h.

## Member Function Documentation

## toInterpretation()

QString pappso::specpeptidoms::AminoAcidModel::toInterpretation | ( |  | ) | const

Definition at line 54 of file peptidemodel.cpp.

{
if(m_massDifference != 0)
{
if(m_skipped)
{
return QString("[%1][%2]")
.arg(m_aminoAcid.toString())
.arg(QString::number(m_massDifference));
}
else
{
return QString("%1[%2]")
.arg(m_aminoAcid.toString())
.arg(QString::number(m_massDifference));
}
}
else if(m_skipped)
{
return QString("[%1]").arg(m_aminoAcid.toString());
}
else
{
return m_aminoAcid.toString();
}
}
pappso::specpeptidoms::AminoAcidModel::m_massDifference
double m_massDifference
Definition peptidemodel.h:46
pappso::specpeptidoms::AminoAcidModel::m_aminoAcid
pappso::Aa m_aminoAcid
Definition peptidemodel.h:45
pappso::specpeptidoms::AminoAcidModel::m_skipped
bool m_skipped
Definition peptidemodel.h:47

References m_aminoAcid, m_massDifference, and m_skipped.

## toProForma()

QString pappso::specpeptidoms::AminoAcidModel::toProForma | ( |  | ) | const

Definition at line 39 of file peptidemodel.cpp.

{
if(m_massDifference != 0)
{
return QString("%1[%2]")
.arg(m_aminoAcid.toProForma())
.arg(PeptideModel::toProFormaMass(m_massDifference));
}
else
{
return m_aminoAcid.toProForma();
}
}
pappso::specpeptidoms::PeptideModel::toProFormaMass
static QString toProFormaMass(double mass)
Definition peptidemodel.cpp:120

References m_aminoAcid, m_massDifference, and pappso::specpeptidoms::PeptideModel::toProFormaMass().

## Member Data Documentation

## m_aminoAcid

pappso::Aa pappso::specpeptidoms::AminoAcidModel::m_aminoAcid = pappso::Aa('A')

Definition at line 45 of file peptidemodel.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::saveBestAlignment(), toInterpretation(), and toProForma().

## m_massDifference

double pappso::specpeptidoms::AminoAcidModel::m_massDifference = 0

Definition at line 46 of file peptidemodel.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::saveBestAlignment(), toInterpretation(), and toProForma().

## m_skipped

bool pappso::specpeptidoms::AminoAcidModel::m_skipped = false

Definition at line 47 of file peptidemodel.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::saveBestAlignment(), and toInterpretation().

The documentation for this struct was generated from the following files:

- pappsomspp/core/processing/specpeptidoms/peptidemodel.h
- pappsomspp/core/processing/specpeptidoms/peptidemodel.cpp